
package com.ejie.ab39a.ws.client.rdr;

import javax.xml.ws.WebFault;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebFault(name = "Exception", targetNamespace = "com/ejie/rdr/xml")
public class Exception_Exception
    extends java.lang.Exception
{

    /**
     * Java type that goes as soapenv:Fault detail element.
     * 
     */
    private com.ejie.ab39a.ws.client.rdr.Exception faultInfo;

    /**
     * 
     * @param faultInfo
     * @param message
     */
    public Exception_Exception(String message, com.ejie.ab39a.ws.client.rdr.Exception faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @param faultInfo
     * @param cause
     * @param message
     */
    public Exception_Exception(String message, com.ejie.ab39a.ws.client.rdr.Exception faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }

    /**
     * 
     * @return
     *     returns fault bean: com.ejie.ab39a.ws.client.rdr.Exception
     */
    public com.ejie.ab39a.ws.client.rdr.Exception getFaultInfo() {
        return faultInfo;
    }

}
